<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MapperUtils (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapperUtils (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapperUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/util/mastersync/EmptyCheckUtils.html" title="class in io.mosip.registration.util.mastersync"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/util/mastersync/MetaDataUtils.html" title="class in io.mosip.registration.util.mastersync"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/util/mastersync/MapperUtils.html" target="_top">Frames</a></li>
<li><a href="MapperUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.util.mastersync</div>
<h2 title="Class MapperUtils" class="title">Class MapperUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.util.mastersync.MapperUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>@Component
public class <span class="typeNameLabel">MapperUtils</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">MapperUtils class provides methods to map or copy values from source object
 to destination object.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sreekar Chukka</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../io/mosip/registration/util/mastersync/MapperUtils.html" title="class in io.mosip.registration.util.mastersync"><code>MapperUtils</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static &lt;S,D&gt;&nbsp;D</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/mastersync/MapperUtils.html#map-S-java.lang.Class-">map</a></span>(S&nbsp;source,
   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;D&gt;&nbsp;destinationClass)</code>
<div class="block">This method takes <code>source</code> and <code>destinationClass</code>, take
 all values from source and create an object of <code>destinationClass</code>
 and map all the values from source to destination if field name and type is
 same.This method internally check whether the source or destinationClass is
 DTO or an Entity type and map accordingly.If any <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><code>Collection</code></a> type or
 Entity type field is their then only matched name fields value will be set
 but not the embedded IDs and super class values.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static &lt;S,D&gt;&nbsp;D</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/mastersync/MapperUtils.html#map-S-D-">map</a></span>(S&nbsp;source,
   D&nbsp;destination)</code>
<div class="block">This method map the values from <code>source</code> to
 <code>destination</code> if name and type of the fields inside the given
 parameters are same.If any of the parameters are <code>null</code> this
 method return <code>null</code>.This method internally check whether the
 source or destinationClass is DTO or an Entity type and map accordingly.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static &lt;S,D&gt;&nbsp;D</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/mastersync/MapperUtils.html#map-S-D-java.lang.Boolean-">map</a></span>(S&nbsp;source,
   D&nbsp;destination,
   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;mapNullValues)</code>
<div class="block">This method map the values from <code>source</code> to
 <code>destination</code> if name and type of the fields inside the given
 parameters are same.If any of the parameters are <code>null</code> this
 method return <code>null</code>.This method internally check whether the
 source or destinationClass is DTO or an Entity type and map accordingly.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static &lt;S,D&gt;&nbsp;void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/mastersync/MapperUtils.html#mapFieldValues-S-D-">mapFieldValues</a></span>(S&nbsp;source,
              D&nbsp;destination)</code>
<div class="block">This method map values of <code>source</code> object to
 <code>destination</code> object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="map-java.lang.Object-java.lang.Object-java.lang.Boolean-">
<!--   -->
</a><a name="map-S-D-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>map</h4>
<pre>public static&nbsp;&lt;S,D&gt;&nbsp;D&nbsp;map(S&nbsp;source,
                          D&nbsp;destination,
                          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;mapNullValues)</pre>
<div class="block">This method map the values from <code>source</code> to
 <code>destination</code> if name and type of the fields inside the given
 parameters are same.If any of the parameters are <code>null</code> this
 method return <code>null</code>.This method internally check whether the
 source or destinationClass is DTO or an Entity type and map accordingly. If
 any <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><code>Collection</code></a> type or Entity type field is their then only matched
 name fields value will be set but not the embedded IDs and super class
 values.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>S</code> - is a type parameter</dd>
<dd><code>D</code> - is a type parameter</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - which value is going to be mapped</dd>
<dd><code>destination</code> - where values is going to be mapped</dd>
<dd><code>mapNullValues</code> - by default marked as true so, it will map null values
                      but if marked as false then null values will be ignored</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>destination</code> object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if either <code>source</code> or
                              <code>destination</code> is null</dd>
</dl>
</li>
</ul>
<a name="map-java.lang.Object-java.lang.Object-">
<!--   -->
</a><a name="map-S-D-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>map</h4>
<pre>public static&nbsp;&lt;S,D&gt;&nbsp;D&nbsp;map(S&nbsp;source,
                          D&nbsp;destination)</pre>
<div class="block">This method map the values from <code>source</code> to
 <code>destination</code> if name and type of the fields inside the given
 parameters are same.If any of the parameters are <code>null</code> this
 method return <code>null</code>.This method internally check whether the
 source or destinationClass is DTO or an Entity type and map accordingly. If
 any <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><code>Collection</code></a> type or Entity type field is their then only matched
 name fields value will be set but not the embedded IDs and super class
 values.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>S</code> - is a type parameter</dd>
<dd><code>D</code> - is a type parameter</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - which value is going to be mapped</dd>
<dd><code>destination</code> - where values is going to be mapped</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>destination</code> object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if either <code>source</code> or
                              <code>destination</code> is null</dd>
</dl>
</li>
</ul>
<a name="map-java.lang.Object-java.lang.Class-">
<!--   -->
</a><a name="map-S-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>map</h4>
<pre>public static&nbsp;&lt;S,D&gt;&nbsp;D&nbsp;map(S&nbsp;source,
                          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;D&gt;&nbsp;destinationClass)</pre>
<div class="block">This method takes <code>source</code> and <code>destinationClass</code>, take
 all values from source and create an object of <code>destinationClass</code>
 and map all the values from source to destination if field name and type is
 same.This method internally check whether the source or destinationClass is
 DTO or an Entity type and map accordingly.If any <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><code>Collection</code></a> type or
 Entity type field is their then only matched name fields value will be set
 but not the embedded IDs and super class values.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>S</code> - is a type parameter</dd>
<dd><code>D</code> - is a type parameter</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - which value is going to be mapped</dd>
<dd><code>destinationClass</code> - where values is going to be mapped</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the object of <code>destinationClass</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>io.mosip.kernel.core.dataaccess.exception.DataAccessLayerException</code> - if exception occur during creating of
                                  <code>destinationClass</code> object</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if either <code>source</code> or
                                  <code>destinationClass</code> is null</dd>
</dl>
</li>
</ul>
<a name="mapFieldValues-java.lang.Object-java.lang.Object-">
<!--   -->
</a><a name="mapFieldValues-S-D-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mapFieldValues</h4>
<pre>public static&nbsp;&lt;S,D&gt;&nbsp;void&nbsp;mapFieldValues(S&nbsp;source,
                                        D&nbsp;destination)</pre>
<div class="block">This method map values of <code>source</code> object to
 <code>destination</code> object. It will map field values having same name
 and same type for the fields. It will not map any field which is static or
 final.It will simply ignore those values.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>S</code> - is a type parameter</dd>
<dd><code>D</code> - is a type parameter</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - is any object which should not be null and have data which
                    is going to be copied</dd>
<dd><code>destination</code> - is an object in which source field values is going to be
                    matched</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>io.mosip.kernel.core.dataaccess.exception.DataAccessLayerException</code> - if error raised during mapping values</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if either <code>source</code> or
                                  <code>destination</code> is null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapperUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/util/mastersync/EmptyCheckUtils.html" title="class in io.mosip.registration.util.mastersync"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/util/mastersync/MetaDataUtils.html" title="class in io.mosip.registration.util.mastersync"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/util/mastersync/MapperUtils.html" target="_top">Frames</a></li>
<li><a href="MapperUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
